Cancel open orders
Cancel all open orders on a symbol. This includes orders that are part of an order list.
Cancel open orders › Authorization
Cancel open orders › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Cancel open orders › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Cancel open orders › Responses
Cancel open orders
idstatusOrder Amend Keep Priority
Reduce the quantity of an existing open order.
This adds 0 orders to the EXCHANGE_MAX_ORDERS filter and the MAX_NUM_ORDERS filter.
Read Order Amend Keep Priority FAQ to learn more.
Order Amend Keep Priority › Authorization
Order Amend Keep Priority › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Order Amend Keep Priority › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Order Amend Keep Priority › Responses
Order Amend Keep Priority
idstatusCancel order
Cancel an active order.
Cancel order › Authorization
Cancel order › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Cancel order › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Cancel order › Responses
Cancel order
idstatusCancel and replace order
- Cancel an existing order and immediately place a new order instead of the canceled one.
- A new order that was not attempted (i.e. when
newOrderResult: NOT_ATTEMPTED), will still increase the unfilled order count by 1. - You can only cancel an individual order from an orderList using this method, but the result is the same as canceling the entire orderList.not attempted (i.e. when
newOrderResult: NOT_ATTEMPTED), will still increase the unfilled order count by 1.
Cancel and replace order › Authorization
Cancel and replace order › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Cancel and replace order › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Cancel and replace order › Responses
Cancel and replace order
idstatusCancel Order list
Cancel an active order list.
Cancel Order list › Authorization
Cancel Order list › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Cancel Order list › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Cancel Order list › Responses
Cancel Order list
idstatusPlace new OCO - Deprecated
Send in a new one-cancels-the-other (OCO) pair:
LIMIT_MAKER + STOP_LOSS/STOP_LOSS_LIMIT orders (called legs),
where activation of one order immediately cancels the other.
This adds 1 order to EXCHANGE_MAX_ORDERS filter and the MAX_NUM_ORDERS filter
Place new OCO - Deprecated › Authorization
Place new OCO - Deprecated › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Place new OCO - Deprecated › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Place new OCO - Deprecated › Responses
Place new OCO - Deprecated
idstatusPlace new Order list - OCO
Send in an one-cancels-the-other (OCO) pair, where activation of one order immediately cancels the other.
-
An OCO has 2 orders called the above order and below order.
-
One of the orders must be a
LIMIT_MAKER/TAKE_PROFIT/TAKE_PROFIT_LIMITorder and the other must beSTOP_LOSSorSTOP_LOSS_LIMITorder. -
Price restrictions:
- If the OCO is on the
SELLside:LIMIT_MAKER/TAKE_PROFIT_LIMITprice> Last Traded Price >STOP_LOSS/STOP_LOSS_LIMITstopPriceTAKE_PROFIT stopPrice> Last Traded Price >STOP_LOSS/STOP_LOSS_LIMIT stopPrice
- If the OCO is on the
BUYside:LIMIT_MAKERprice< Last Traded Price <STOP_LOSS/STOP_LOSS_LIMITstopPriceTAKE_PROFIT stopPrice> Last Traded Price >STOP_LOSS/STOP_LOSS_LIMIT stopPrice
- If the OCO is on the
-
OCOs add 2 orders to the
EXCHANGE_MAX_ORDERSfilter andMAX_NUM_ORDERSfilter.
Place new Order list - OCO › Authorization
Place new Order list - OCO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Place new Order list - OCO › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Place new Order list - OCO › Responses
Place new Order list - OCO
idstatusOPO
Place an OPO.
- OPOs add 2 orders to the EXCHANGE_MAX_NUM_ORDERS filter and MAX_NUM_ORDERS filter.
OPO › Authorization
OPO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
OPO › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
OPO › Responses
OPO
idstatusOPOCO
Place an OPOCO.
OPOCO › Authorization
OPOCO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
OPOCO › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
OPOCO › Responses
OPOCO
idstatusPlace new Order list - OTO
Places an OTO.
-
An OTO (One-Triggers-the-Other) is an order list comprised of 2 orders.
-
The first order is called the working order and must be
LIMITorLIMIT_MAKER. Initially, only the working order goes on the order book. -
The second order is called the pending order. It can be any order type except for
MARKETorders using parameterquoteOrderQty. The pending order is only placed on the order book when the working order gets fully filled. -
If either the working order or the pending order is cancelled individually, the other order in the order list will also be canceled or expired.
-
When the order list is placed, if the working order gets immediately fully filled, the placement response will show the working order as
FILLEDbut the pending order will still appear asPENDING_NEW. You need to query the status of the pending order again to see its updated status. -
OTOs add 2 orders to the
EXCHANGE_MAX_NUM_ORDERSfilter andMAX_NUM_ORDERSfilter.
Place new Order list - OTO › Authorization
Place new Order list - OTO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Place new Order list - OTO › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Place new Order list - OTO › Responses
Place new Order list - OTO
idstatusPlace new Order list - OTOCO
Place an OTOCO.
- An OTOCO (One-Triggers-One-Cancels-the-Other) is an order list comprised of 3 orders.
- The first order is called the working order and must be
LIMITorLIMIT_MAKER. Initially, only the working order goes on the order book.- The behavior of the working order is the same as the OTO.
- OTOCO has 2 pending orders (pending above and pending below), forming an OCO pair. The pending orders are only placed on the order book when the working order gets fully filled.
- The rules of the pending above and pending below follow the same rules as the Order list OCO.
- OTOCOs add 3 orders to the
EXCHANGE_MAX_NUM_ORDERSfilter andMAX_NUM_ORDERSfilter.
Place new Order list - OTOCO › Authorization
Place new Order list - OTOCO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Place new Order list - OTOCO › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Place new Order list - OTOCO › Responses
Place new Order list - OTOCO
idstatusPlace new order
Send in a new order.
This adds 1 order to the EXCHANGE_MAX_ORDERS filter and the MAX_NUM_ORDERS filter.
Place new order › Authorization
Place new order › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Place new order › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
Place new order › Responses
Place new order
idstatusTest new order
Test order placement.
Validates new order parameters and verifies your signature but does not send the order into the matching engine.
Test new order › Authorization
Test new order › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
| Condition | Request Weight |
|---|---|
Without computeCommissionRates | 1 |
With computeCommissionRates | 20 |
Test new order › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
Test new order › Responses
Test new order
idstatusPlace new order using SOR
Places an order using smart order routing (SOR).
This adds 1 order to the EXCHANGE_MAX_ORDERS filter and the MAX_NUM_ORDERS filter.
Read SOR FAQ to learn more.
Place new order using SOR › Authorization
Place new order using SOR › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Place new order using SOR › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Place new order using SOR › Responses
Place new order using SOR
idstatusTest new order using SOR
Test new order creation and signature/recvWindow using smart order routing (SOR). Creates and validates a new order but does not send it into the matching engine.
Test new order using SOR › Authorization
Test new order using SOR › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
| Condition | Request Weight |
|---|---|
Without computeCommissionRates | 1 |
With computeCommissionRates | 20 |
Test new order using SOR › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
Test new order using SOR › Responses
Test new order using SOR
idstatus